declare const useConvoStack: () => {
    graphqlUrl: string;
    websocketUrl: string;
    agent: string | null;
    context: {
        [key: string]: string;
    } | null;
    styling: import("../types/CustomStyling").CustomStyling | null;
    userData: import("../types/CustomStyling").UserData | undefined;
    activeConversationId: string | null;
    isConversationWindowVisible: boolean;
    isConversationListVisible: boolean;
    data: any;
    embedData: {
        [key: string]: any;
    };
    createdFirstConversation: boolean;
    embedActiveConversationId: {
        [key: string]: string | null;
    };
    toggleWidget: (arg: boolean) => void;
    openConversation: (conversationId: string | null, agent?: string | null, context?: {
        [key: string]: string;
    } | null | undefined, key?: string) => Promise<string>;
    setActiveConversationId: (conversationId: string | null, context?: {
        [key: string]: string;
    } | undefined, key?: string) => void;
    openConversationList: (key?: string) => void;
    updateContext: (conversationId: string, context: {
        [key: string]: string;
    }) => Promise<void>;
};
export default useConvoStack;
